#include <iostream>
#include <string>

using namespace std;

int main()
{
    string sz, txt;
    cin>>txt;
    cin>>sz;
    int hsz;
    hsz=sz.length();
    int htxt=txt.length();
    int i=0, j, hely, db, x, ossz=0;

    while(i<=htxt)
    {
        db=htxt;
        while(txt[i]!=sz[0] && i<=htxt)
            i++;
        for(j=0;j<hsz;j++)
        {
            x=0;
            while(sz[j]==txt[i])
            {
                x++;
                i++;
            }
            if (db>x)
            {
                db=x;
                hely=i;
            }
        }
        ossz+=db;
        for(j=1;j<=db;j++)
        {
            txt[hely-j]=42;
        }
    }


    cout<<ossz<<endl<<txt;

    return 0;
}